DOTTER(1)

NAME
dotter - Sequence dotplots with image enhancement tools

DESCRIPTION

    Dotter - Sequence dotplots with image enhancement tools.

Usage: dotter [options] <horizontal_sequence> <vertical_sequence>
    [X options]

    Where <horizontal_sequence> and <vertical_sequence> are file names for FASTA files containing the two sequences.

Allowed sequence types:
    Protein - Protein DNA - DNA DNA - Protein

    Options:

-h, --help

    Show this usage information

-b <file>, --batch-save=<file>

    Batch mode; save dot matrix to <file>

-e <file>, --batch-export=<file>

    Batch mode; export plot to PDF file <file>

-l <file>, --load

    Load dot matrix from <file>

-m <float>, --memory-limit=<float>

    Memory usage limit in Mb (default 0.5)

-z <int>, --zoom

    Set zoom (compression) factor

-p <int>, --pixel-factor

    Set pixel factor manually (ratio pixelvalue/score)

-W <int>, --window-size

    Set sliding window size. (K => Karlin/Altschul estimate)

-M <file>, --matrix-file=<file>

    Read in score matrix from <file> (Blast format; Default: Blosum62).

-F <file>, --sequence-file

    Read in sequences and data from <file> (replaces sequencefiles).

-f <file>, --feature-file

    Read feature segments from <file>

-H, --hsp-mode

    Do not calculate dotplot at startup.

-R, --reverse-greyramp

    Reversed Greyramp tool at start.

-r, --reverse-horizontal

    Reverse and complement horizontal_sequence (if DNA)

-v, --reverse-vertical

    Reverse and complement vertical_sequence (if DNA)

-D, --disable-mirror

    Don't display mirror image in self comparisons

-w, --watson-only

    For DNA: horizontal_sequence top strand only (Watson)

-c, --crick-only

    For DNA: horizontal_sequence bottom strand only (Crick)

-q <int>, --horizontal-offset=<int>

    Horizontal_sequence offset

-s <int>, --vertical-offset=<int>

    Vertical_sequence offset

--horizontal-type=p|d

    Horizontal_sequence type ('p' for peptide or 'd' for DNA)

--vertical-type=p|d

    Vertical_sequence type ('p' for peptide or 'd' for DNA)

--abbrev-title-on

    Abbreviate window title prefixes

--abbrev-title-off

    Do not abbreviate window title prefixes

--session_colour=<colour_str>

    Set the background colour of the dotter window

--compiled

    Show package compile date

--version

    Show package version

-----

    Written by Gemma Barson <gb10@sanger.ac.uk> Based on original code by Erik Sonnhammer <Erik.Sonnhammer@sbc.su.se>

    Reference: Sonnhammer ELL & Durbin R (1995). A dot-matrix program

    with dynamic threshold control suited for genomic DNA and protein sequence analysis. Gene 167(2):GC1-10.

    See http://www.sanger.ac.uk/resources/software/seqtools/ for more info.

    Copyright (c) 2010-2015: Genome Research Ltd. Dotter is distributed under the GNU General Public License; see http://www.gnu.org/copyleft/gpl.txt

Version 4.44.1
    14:27:56 Oct 19 2017

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.